% The sirene functions must be on the path
addpath(genpath('../../src'))

% Initialize data
% use libsvm
d = sirene_initialize('../../data/ecoli/expression.txt','../../data/ecoli/regulation.txt','groupFile','../../data/ecoli/operongroups.txt', 'method', 'libsvm');

% Run the cross-validation and save the results
cvresult = sirene_cv(d);
save cvresult_libsvm.mat cvresult

% The results are, for each fold, the true labels and the
% predictions. We must also analyse them with sirene_rocanalysis.m, plot
% graphs etc...
threshold = sirene_analyze(cvresult, 0.6, 'resultpath', './libsvm/');

% Run the prediction and save the results
scores = sirene_predict(d);
save scores_libsvm.mat scores threshold

% Output a cytoscape-friendly file.
sirene_cytoscape(scores, threshold, d, 'resultpath', './libsvm/');


% correction of the zeros in the known matrix
scores2 = sirene_correct(d);
save scores_correct.mat scores2
fprintf([num2str(sum(sum(scores2 > threshold.threshold))-d.nedge),' new predicted interactions in the known regulation matrix\n'])